root = "."
tmp_dir = "tmp"

[build]
# Command to build the application.
cmd = "go build -o ./tmp/marka-server ./cmd/marka-server"

# The binary to run.
bin = "./tmp/marka-server"

# Command to run the application with arguments.
full_bin = "./tmp/marka-server -root=../examples -addr=:8080"

# Watch these file extensions.
include_ext = ["go", "http"]

# Ignore these directories.
exclude_dir = ["tmp"]

# Log file for build errors.
log = "air_errors.log"

[log]
# Show time in logs.
time = true

[misc]
# Delete tmp directory on exit.
clean_on_exit = true
